Tryton - Issues

 

Issue6155

Title Allow customer shipment without inventory moves
Priority feature Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type feature request Components stock
Assigned To ced Keywords review
Reviews 27011003
View: 27011003

Created on 2016-12-28.17:46:56 by ced, last changed by roundup-bot.

Messages
New changeset b3e02609f2eb by C?dric Krier in branch 'default':
Manage same picking/storage and output location
http://hg.tryton.org/modules/stock/rev/b3e02609f2eb
review27011003 updated at https://codereview.tryton.org/27011003/#ps40001
review27011003 updated at https://codereview.tryton.org/27011003/#ps20001
review27011003 updated at https://codereview.tryton.org/27011003/#ps1
msg31029 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2016-12-28.17:46:56
Some organisation does not need to manage inventory move per shipment. In other words they do not do "pick-pack-ship" but just "pack-ship".
Indeed they do wave picking (issue4909) in such way that the picking is done with internal shipment (or even use robots).
So the idea is that if the outgoing location and the picking location of a warehouse are the same, the customer shipment does not create inventory moves and the user directly manage the pack step without the assignation (pick).

Also currently, the system is blocked if both locations are the same because the shipment will try to create a move with the same from/to location which is forbidden.

A similar design could be applied on supplier shipment but indeed I do not know about such work-flow.
History
Date User Action Args
2017-01-13 20:09:24roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg31271
2017-01-12 18:14:25reviewbotsetmessages: + msg31237
2017-01-12 17:43:14reviewbotsetmessages: + msg31236
2017-01-12 15:50:48pokolisetnosy: + pokoli
2016-12-29 13:55:59reviewbotsetnosy: + reviewbot
messages: + msg31049
2016-12-29 13:37:56cedsetstatus: in-progress -> testing
reviews: 27011003
keyword: + review
2016-12-28 17:47:27cedlinkissue4909 superseder
2016-12-28 17:46:56cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)